[comp.sources.atari.st] v01i053: assist2 -- Desk accessory utility part02/02

koreth@ssyx.ucsc.edu (Steven Grimm) (06/10/88)

Submitted-by: cst.prl.philips.nl!meulenbr (Frans Meulenbroeks)
Posting-number: Volume 1, Issue 53
Archive-name: assist2/part02

#!/bin/sh
# this is part 2 of a multipart archive
# do not concatenate these parts, unpack them in order with /bin/sh
# file ASSIST2.RSC continued
#
CurArch=2
if test ! -r s2_seq_.tmp
then echo "Please unpack part 1 first!"
     exit 1; fi
( read Scheck
  if test "$Scheck" != $CurArch
  then echo "Please unpack part $Scheck next!"
       exit 1;
  else exit 0; fi
) < s2_seq_.tmp || exit 1
sed 's/^X//' << 'SHAR_EOF' >> s2_temp_.tmp
XM051415(@#@\.#P```%1R86-K<P````,`!``X,`!?7P!86`!396-T;W)S````
XM.0`Q,``Q,C,T-38W.#$R,P!$:7-K;F%M92`@7U]?7U]?7U\N7U]?`&YN;FYN
XM;FYN;FYN`$9/4DU!5`!#04Y#14P`4VED97,````Q`#(`1')I=F4```!!`$(`
XM#@\.#R!&3U)-051424Y'(`X/#@\```!4<F%C:R`Z````4VED92`Z````,#``
XM7U\`.3D`,`!?`#D`("`@("`@("`@("`@("`@(````"`@5U))5%1%3B!"62!"
XM15)4(%)/6D5.0D521P````X/#@\@(%1(12!!4U-)4U1!3E0@,B`.#PX/````
XM,#`P,#`P`$)Y=&5S($9R964Z(%]?7U]?7P!86%A86%@`4T-2145.($-,3T-+
XM`$585"X@1D]234%4`$-!3D-%3`!-04M%($1)4@!$25-+($E.1D\`00!"`$1)
XM4TL@15)!4T4`00!"`+T`4&QE87-E(&EN<V5R="!D:7-K`$$`:6YT;R!$<FEV
XM93H@7P!8`$]+`$-!3D-%3`!4:&5R92=S('-O;64@=')O=6)L90!!0D]25`!W
XM:71H('1H92!D:7-K+@!42$4@05-325-404Y4(#(```!7<FET=&5N("@Q.3@W
XM*2!B>3H```!"97)T(%)O>F5N8F5R9P```$MI:VME<G9E96X@,S,Q````,S(P
XM-2!80R`@4W!I:FME;FES<V4```!4:&4@3F5T:&5R;&%N9',````.#PX/(%-#
XM4D5%3BU#3$]#2R`.#PX/````,#`P,#`P`%]?.E]?.E]?`#DY.3DY.0!/1D8`
XM3TX`5&EM90```#`P,#`P,`!?7SI?7SI?7P`Y.3DY.3D`3T9&`$].`$1A=&4`
XM``!%6$E4`#`P,#``7U\Z7U\`.3DY.0!/3@!!;&%R;0```$]&1@!3151424U%
XM`#`P`%1R86-K<SH@7U\`.3D`,#``4V5C=&]R<SH@7U\`.3D`,`!3:61E<SH@
XM7P`Y`#`P,#`P,`!">71E<R!F<F5E.B!?7U]?7U\`.3DY.3DY`$58250`04=!
XM24X`,3(S-#4V-S@N,3(S`$1I<VMN86UE(#H@7U]?7U]?7U]?7U]?`%A86%A8
XM6%A86%A86`!)="=S('1I;64@=&\@<F5M96UB97(`4T]-151(24Y'+@!42$%.
XM2R!93U4`20````````````?\```?_P``.`>``'`#@`!X`X````\````\````
XM\````<````'````!P````<````'``````````<````/@```!P```````````
XM`/__________SS!A`\\G,\_))S//R2`SS\DG,\_))S//YF<AS___________
XM````````````!_P``!__```X!X``<`.``'@#@```#P```#P```#P```!P```
XM`<````'````!P````<`````````!P````^````'`````````````________
XM___/,&$#SR<SS\DG,\_)(#//R2<SS\DG,\_F9R'/__________\```````!@
XM```#=@``-W<``'=W``!W=P``=W<``'=W``!W=P``?_YX`'JN\`!O^<``>^>`
XM`'V_@``^OP``'_X```O\```/_```#_P``!_^````````````'GYY^#,8S8PP
XM&,V,,!C-C!X8S?@#&,V``QC-@#,8S8`>&'F``````````````&````-V```W
XM=P``=W<``'=W``!W=P``=W<``'=W``!__G@`>J[P`&_YP`![YX``?;^``#Z_
XM```?_@``"_P```_\```/_```'_X````````````>?GGX,QC-C#`8S8PP&,V,
XM'AC-^`,8S8`#&,V`,QC-@!X8>8``````````````8````W8``#=W``!W=P``
XM=W<``'=W``!W=P``=W<``'_^>`!ZKO``;_G``'OG@`!]OX``/K\``!_^```+
XM_```#_P```_\```?_@```````````!Y^>?@S&,V,,!C-C#`8S8P>&,WX`QC-
XM@`,8S8`S&,V`'AAY@`````````````!@```#=@``-W<``'=W``!W=P``=W<`
XM`'=W``!W=P``?_YX`'JN\`!O^<``>^>``'V_@``^OP``'_X```O\```/_```
XM#_P``!_^````````````'GYY^#,8S8PP&,V,,!C-C!X8S?@#&,V``QC-@#,8
XMS8`>&'F````````````````````.````#@````X````.````#@``;NX``.[N
XM``#N[@``[NN``!$/P`#_NX``PS,``.^.``#S^```??@``#_P```?X```'^``
XM`````````````````````'#/G[YXV,8P;-C&,&;8QCQCV,8P8=C&,&#/ACX`
XM``````````````````X````.````#@````X````.``!N[@``[NX``.[N``#N
XMZX``$0_``/^[@`##,P``[XX``//X``!]^```/_```!_@```?X```````````
XM````````````<,^?OGC8QC!LV,8P9MC&/&/8QC!AV,8P8,^&/@``````````
XM````````#@````X````.````#@````X``&[N``#N[@``[NX``.[K@``1#\``
XM_[N``,,S``#OC@``\_@``'WX```_\```'^```!_@````````````````````
XM``!PSY^^>-C&,&S8QC!FV,8\8]C&,&'8QC!@SX8^```````````````````.
XM````#@````X````.````#@``;NX``.[N``#N[@``[NN``!$/P`#_NX``PS,`
XM`.^.``#S^```??@``#_P```?X```'^```````````````````````'#/G[YX
XMV,8P;-C&,&;8QCQCV,8P8=C&,&#/ACX```````````````````X````.````
XM#@````X````.``!N[@``[NX``.[N``#NZX``$0_``/^[@`##,P``[XX``//X
XM``!]^```/_```!_@```?X```````````````````````<,^?OGC8QC!LV,8P
XM9MC&/&/8QC!AV,8P8,^&/@``````````````````#@````X````.````#@``
XM``X``&[N``#N[@``[NX``.[K@``1#\``_[N``,,S``#OC@``\_@``'WX```_
XM\```'^```!_@``````````````````````!PSY^^>-C&,&S8QC!FV,8\8]C&
XM,&'8QC!@SX8^```````````````````.````#@````X````.````#@``;NX`
XM`.[N``#N[@``[NN``!$/P`#_NX``PS,``.^.``#S^```??@``#_P```?X```
XM'^```````````````````````'#/G[YXV,8P;-C&,&;8QCQCV,8P8=C&,&#/
XMACX```````````````````X````.````#@````X````.``!N[@``[NX``.[N
XM``#NZX``$0_``/^[@`##,P``[XX``//X``!]^```/_```!_@```?X```````
XM````````````````<,^?OGC8QC!LV,8P9MC&/&/8QC!AV,8P8,^&/@``````
XM``.X``0`(````````@``!#@`!``@```````"```$N``$`"````````(```4X
XM``0`(````````@``!;@`!``@```````"```&.``$`"````````(```:X``0`
XM(````````@``!S@`!``@```````"```'N``$`"````````(```@X``0`(```
XM`````@``"+@`!``@```````"```).``$`"````````(```FX``0`(```````
XM`@``"C@`!``@```````"````)````#@````Y``,`!@`"$8```/_^`!0``0``
XM`#H```!!````0@`#``8``A*```#__P`'``$```!'````2@```$T``P`&``(1
XM@```__\``P`#````4````%@```!9``,`!@`"$H```/__``@``0```%\```!K
XM````@@`#``8``A&```#__P`,`!<```"<````H@```*,``P`&``(2@```__\`
XM!@`!````J````*X```"O``,`!@`"$H```/__``8``0```+0```#)````R@`#
XM``8``A&```#__@`5``$```#+````TP```-0``P`&```2@```__\`"``!````
XMU0```-P```#=``,`!@``$H```/__``<``0```-X```#A````Y``#``8``!&`
XM``#__P`#``,```#G````Z0```.L``P`&```1@```__\``@`"````[0```/X`
XM``#_``,`!@`"$?```/__`!$``0```0````$<```!'0`#``8``!&```#__P`<
XM``$```$>```!.0```3H``P`&``(1@```__\`&P`!```!.P```4(```%5``,`
XM!@`"$8```/__``<`$P```;<```&Y```!QP`#``8``!&```#__P`"``X```']
XM```"#0```@X``P`&``(1@```__\`$``!```"#P```B(```(C``,`!@`"$8``
XM`/__`!,``0```B0```(S```"-``#``8``A&```#__P`/``$```(U```"1```
XM`D4``P`&``(1@```__\`#P`!```"1@```EL```)<``,`!@`"$8```/__`!4`
XM`0```ET```)M```";@`#``8``A&```#__P`0``$```)O```"A@```H<``P`&
XM``(1@```__X`%P`!```"B````H\```*8``,`!@``$8```/__``<`"0```J8`
XM``*K```"K``#``8``!*```#__P`%``$```*M```"M````KT``P`&```1@```
XM__\`!P`)```"RP```M````+1``,`!@``$H```/__``4``0```M<```+<```"
XMX@`#``8``!&```#__P`%``8```+J```"\````O$``P`&```2@```__\`!@`!
XM```"_@```P$```,,``,`!@``$8```/__``,`"P```P\```,2```#'@`#``8`
XM`"&"``#__P`#``P```,A```#(P```RP``P`&```1@```__\``@`)```#+@``
XM`S4```-(``,`!@`"`8```/__``<`$P```UH```-G```#?P`#``8``@&```#_
XM_P`-`!C__P`!`!8`%````!```C$```$````>`!```P`"``(`%```````_R%2
XM``$``0`<``,``?____\`%@````````M\``(``0`8``$`"0`$``4`%```````
XM_Q$Q``$`!0`*``(`!?____\`%@````````N8```````*``$``P`&``@`%```
XM````_Q$!`````0`*``$`!_____\`&@!1``````!#``<````#``$`"/____\`
XM&@!1``````!%```````#``$`!?____\`'0````````NT``0````"``$`#@`*
XM``L`%```````_Q$``!,`!0`*``(`"_____\`%@````````O0```````*``$`
XM"0`,``T`%```````_Q$!`````0`*``$`#?____\`&@`1``$```!:```````#
XM``$`"_____\`&@`1``````!<``<````#``$`#_____\`'@`(``````OL``$`
XM"P`<``$`$/____\`&@`'``````".``$`#@`*``$`$?____\`&@`%``````"5
XM`!,`#@`*``$`%@`2`!,`%```````_Q$```$`"``*``(`$_____\`%@``````
XM``P(```````*``$`$0`4`!4`%```````_Q$!`````0`*``$`%?____\`&@`1
XM``$```"D```````#``$`$_____\`&@`1``````"F``<````#``$````7`!@`
XM%```````_Q$``!,`"``*``(`&/____\`%@````````PD```````*``$`%@`9
XM`!H`%```````_Q$!`````0`*``$`&O____\`&@`1``$```"P```````#``$`
XM&/____\`&@`Q``````"R``<````#``'__P`!``D`%````````S$```$````?
XM``L``P`"``(`%```````_R%2``$``0`=``,``?____\`%@````````Q```$`
XM`0`;``$`"0`$``0`%```````_Q`Q``$`!P`=``,``P`%``@`%```````_Q$`
XM``$``0`;``$`!O____\`%0````````Q<``$````'``$`!_____\`%0``````
XM``QX`!$````&``$`"/____\`'0````````R4``D````"``$`!/____\`'0``
XM``````RP`!@````!``$````*``H`%0```!````S,``$`!0`=``$`"?____\`
XM%@`@``$```SH```````;``'__P`!`!``%````!```3.```,``@`>`!(`!``"
XM``,`%```````_R%2``$``0`<``4``_____\`%@````````T$``$``0`:``$`
XM`?____\`'@```!````T@``$``P`:``$`!?____\`&@`%``````%<``0`!P`9
XM``$`!O____\`&@`%``````%I``$`#0`-``$`!_____\`&@`'``````%U``$`
XM$``<``$`"/____\`&@`%``````%\`!``#0`-``$`#``)``L`%```````_A$!
XM``$`"P`<``$`"O____\`'`````````&%```````+``$`"_____\`&@`%````
XM``&/``X````'``$`"/____\`&@`%``````&1`!4````'``$`$``-``\`%```
XM````_A$!``$`"0`<``$`#O____\`'`````````&3```````*``$`#_____\`
XM&@`%``````&>``X````'``$`#/____\`&@`%``````&@`!4````'``$``/__
XM__\`&@`E``````&B``$`!P`"``'__P`!``8`%````!```C$#```````E``H`
XM`O____\`%P````````JX``,``2``(````_____\`'`````````&D``D``@`2
XM``$`!/____\`'0````````T\``P`!``-``$`!?____\`%P````````K&`!X`
XM`2``(```!O____\`&@`'``````')``,`!P`(``$``/____\`&@`E``````',
XM`!H`!P`(``'__P`!``<`%````!```C$#`````0`F``P``O____\`'```````
XM``'3``D``@`4``$``_____\`&@`'``````'H``P`"0`/``$`!/____\`%P``
XM``````K4``(``2``(```!?____\`%P````````KB`!\``2``(```!O____\`
XM%P````````KP``(`!B``(```!_____\`%P````````K^`!\`!B``(````/__
XM__\`'``@``````'N``T`!``.``'__P`!``H`%`!'`!```A$``````@`F``T`
XM`O____\`%P````````L,``(``2``(````_____\`%P````````L:`"$``2``
XM(```!/____\`%P````````LH``(`""``(```!?____\`%P````````LV`"$`
XM""``(```!O____\`%0````````U8``P``@`/``$`!_____\`%0````````UT
XM``$`!``D``$`"/____\`%0````````V0``$`!P`D``$`"?____\`%0``````
XM``VL``$`"``D``$`"O____\`%0````````W(``$`"0`D``$``/____\`%0`@
XM``````WD``(`"@`C``'__P`!`!,`%````!```C,````````A``\``P`"``(`
XM%```````_R%2``(``0`=``,``?____\`%@````````X```,``0`7``$`"``$
XM``<`%```````_Q$```(`!@`=``$`!?____\`'0`(``````X<``8````(``$`
XM!O____\`&@`1``````*?`!@````%``$`!_____\`&@`1``$```*C`!(````%
XM``$``_____\`%0````````XX```````$``$`#0`)``P`%```````_Q$```(`
XM"``=``$`"O____\`'0`(``````Y4``8````(``$`"_____\`&@`1``$```+$
XM`!@````%``$`#/____\`&@`1``````+(`!(````%``$`"/____\`%0``````
XM``YP```````$``$`#O____\`&@`'``````+2`!,`#0`,``$`$P`/`!(`%```
XM````_Q$```(`"@`=``$`$/____\`'0`(``````Z,``8````%``$`$?____\`
XM&@`1``````+G`!(````%``$`$O____\`%0````````ZH```````%``$`#O__
XM__\`&@`1``$```+R`!@````%``$``/____\`&@`E``````+V``(`#0`,``'_
XM_P`!``D`%````!```C$#`````0`E``\`!0`"``0`%```````_R%!``$`!0`C
XM``,``_____\`'0```!````[$``$``0`*``$`!/____\`'0```!````[@``T`
XM`0`+``$``?____\`'0```!````[\`!H``0`(``$`!P`&``8`%```````_R%!
XM``$`"0`C``,`!?____\`'@```!````\8``$``0`A``$`"/____\`&@`'````
XM``-/``$`#0`,``$`"?____\`&@`%``````-4`!D`#0`+``$````*``H`%```
XM````_R%!``$``0`C``,`"?____\`'@`@`!````\T``$``0`A``'__P`!``<`
XM%````!```C$#```````F``H``O____\`%P````````M$``(``2``(````___
XM__\`'`````````.,``D``@`5``$`!/____\`'`````````.B``X`!``*``$`
XM!?____\`%P````````M2`"```2``(```!O____\`%P````````M@``(`!2``
XM(```!_____\`%P````````MN`"``!2``(````/____\`&@`G``````.M``P`
XI!P`,``$```]0```1V```$N```!1X```5(```%>```!;H```8R```&="M
X`
Xend
SHAR_EOF
uudecode < s2_temp_.tmp && rm -f s2_temp_.tmp &&
chmod 0600 ASSIST2.RSC || echo "restore of ASSIST2.RSC fails"
sed 's/^X//' << 'SHAR_EOF' > ASSIST2.RSD &&
XXXXXSHAR_EOF
chmod 0600 ASSIST2.RSD || echo "restore of ASSIST2.RSD fails"
sed 's/^X//' << 'SHAR_EOF' > INCLUDE.H &&
Xextern	long	bios();
Xextern	long	xbios();
Xextern	long	gemdos();
X
X#define	Floprd(a,b,c,d,e,f,g)	xbios(8,a,b,c,d,e,f,g)
X#define	Flopwr(a,b,c,d,e,f,g)	xbios(9,a,b,c,d,e,f,g)
X#define	Flopfmt(a,b,c,d,e,f,g,h,i)	xbios(10,a,b,c,d,e,f,g,h,i)
X#define	Protobt(a,b,c,d)	xbios(18,a,b,c,d)
X#define	Settime(a)	xbios(22,a)
X#define	Gettime()	xbios(23)
X#define	Dosound(a)	xbios(32,a)
X#define Supexec(a)	xbios(38, a)
X
X
X#define	Cconout(a)	gemdos(0x2,a)
X#define	Dsetdrv(a)	gemdos(0x0e,a)
X#define	Dgetdrv()	(int)gemdos(0x19)
X#define	Fsetdta(a)	gemdos(0x1a,a)
X#define	Tgetdate()	(int)gemdos(0x2a)
X#define	Tsetdate(a)	gemdos(0x2b,a)
X#define	Tgettime()	(int)gemdos(0x2c)
X#define	Tsettime(a)	gemdos(0x2d,a)
X#define	Fgetdta()	gemdos(0x2f)
X#define	Dfree(a,b)	gemdos(0x36,a,b)
X#define	Dcreate(a)	gemdos(0x39,a)
X#define	Dsetpath(a)	gemdos(0x3b,a)
X#define	Dgetpath(a,b)	gemdos(0x47,a,b)
X#define	Malloc(a)	gemdos(0x48,a)
X#define	Mfree(a)	gemdos(0x49,a)
X#define	Fsfirst(a,b)	gemdos(0x4e,a,b)
X
X
X#define	Mediach(a)	bios(9,a)
X
X
X/***********************************************************/
X
X#define MAX_DEPTH 8		/* max depth of search or draw */
X
X
Xtypedef struct grect
X{
X	int	g_x;
X	int	g_y;
X	int	g_w;
X	int	g_h;
X} GRECT;
X
X
Xtypedef struct text_edinfo
X{
X	char *te_ptext;		/* ptr to text (must be 1st) */
X	char *te_ptmplt;	/* ptr to template */
X	char *te_pvalid;	/* ptr to validation chrs. */
X	int te_font;		/* font */
X	int te_junk1;		/* junk word */
X	int te_just;		/* justification- left, right... */
X	int te_color;		/* color information word */
X	int te_junk2;		/* junk word */
X	int te_thickness;	/* border thickness	*/
X	int te_txtlen;		/* length of text string */
X	int te_tmplen;		/* length of template string */
X} TEDINFO;
X
X
X
Xtypedef struct object
X{
X	int		ob_next;	/* -> object's next sibling	*/
X	int		ob_head;	/* -> head of object's children */
X	int		ob_tail;	/* -> tail of object's children */
X	unsigned int ob_type;	/* type of object- BOX, CHAR,... */
X	unsigned int ob_flags;	/* flags */
X	unsigned int ob_state;	/* state- SELECTED, OPEN, ... */
X	char *ob_spec;	 	/* "out"- -> anything else */
X	int		ob_x;		/* upper left corner of object */
X	int		ob_y;		/* upper left corner of object */
X	int		ob_width;	/* width of obj	*/
X	int		ob_height;	/* height of obj */
X} OBJECT;
X
X						
X#define NORMAL    0x0	/* Object states */
X#define SELECTED  0x1
X#define CROSSED   0x2
X#define CHECKED   0x4
X#define DISABLED  0x8
X#define OUTLINED 0x10
X#define SHADOWED 0x20
X
X
X/****************************************************************/
X/***      Some define's missing in the MEGAMAX-compiler       ***/
X/****************************************************************/
X
X#define TRUE             1
X#define FALSE            0
X#define OB_STATE(x)      (tree + (x) *sizeof(OBJECT)+10)
X#define ADDR             /**/
X#define LBGET(x)         ((char)*((char *)(x)))
X#define LBSET(x,y)       ( *((char *)(x))=y)
X#define LWGET(x)         ((int) *((int *)(x)))
X#define LWSET(x,y)       ( *((int *)(x)) = y)
X#define LLGET(x)         ( *((long *)(x)))
X#define LLSET(x,y)       ( *((long *)(x)) = y)
X#define LBYTE0(x)        ( *((x)+3) )
X#define LBYTE1(x)        ( *((x)+2) )
X#define LBYTE2(x)        ( *((x)+1) )
X#define LBYTE3(x)        ( *(x) )
X
Xextern char *malloc();
X
X
Xtypedef struct dta_buffer
X	{
X		char dummy[21];
X		char file_attr;
X		int  time;
X		int  date;
X		long size;
X		char name[14];
X	} DTABUF;
SHAR_EOF
chmod 0600 INCLUDE.H || echo "restore of INCLUDE.H fails"
rm -f s2_seq_.tmp
echo "You have unpacked the last part"
exit 0